
#ifndef _nustatymai_h
#define _nustatymai_h


#include <../include/global.h>
#include "../lib/buttons.h"




class Nustatymai {
    private:
    DS1307RTC *rtc; 
    LCD_I2C *lcd;
    Buttons *buttons;
    Preferences *preferences;
  //  I2CEEPROM eep(0x50);

    //AT24CM01 eeprom;


    int16_t ryskumoPin;
    int16_t ryskumas; // 0
    //int8_t mainMenu=-1;
    int8_t menuItem=-1;
    int8_t menuItemChanged=0;
    int8_t menuItemMax=5;    

    int8_t subMenuItem=0;
    int8_t subMenuItemChanged=0;
    int8_t menuItemHighlighted=0;
    int8_t subMenuItemMax[5];

    int16_t menuDiff=0;
   // bool menuItemChanged=0;
    bool timeBasedBrightness=1;
    bool timeAdjusted=0;

    int8_t laistymoPin[5]; // 1-5
    int8_t dregnumoPin[5]; // 6-10
    int8_t temperaturosPin[5]; // 11-15
    
    int8_t laistymoAdresai[5]; // 1-5
    int8_t dregnumoAdresai[5]; // 6-10
    int8_t temperaturosAdresai[5]; // 11-15
    
    int8_t valueDiff=0;


    public:


    Nustatymai();
    void begin(LCD_I2C *lcdd, DS1307RTC *rtcc, Buttons *buttonss);

    bool rodytiMeniu();
    void nuskaitytiNustatymus();
    void irasytiNustatymus();
    void griztiAtgalINustatymuMeniu();

    void nustatytiRyskuma();
    void nustatytiRyskuma(uint8_t val);

    void nustatytiLaika();
    void nustatytiRyskumaPagalLaika();
    void nustatytiPins();

};

#endif
